// SmoothView.h : interface of the CSmoothView class
//
/////////////////////////////////////////////////////////////////////////////

class CSmoothView : public CScrollView
{
protected: // create from serialization only
	CFont m_font;
	CPalette m_palette;
	int m_nImageHeight;
	int m_nImageWidth;
	CBitmap m_bitmap;
	void InitScrollSizes ();
	int m_nLineSlices;
	int m_nPageSlices;
	DWORD m_dwMinTime;
	CSmoothView();
	DECLARE_DYNCREATE(CSmoothView)

// Attributes
public:
	void DoPaletteChanged ();
	BOOL DoQueryNewPalette ();
	CSmoothDoc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSmoothView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual BOOL OnScroll(UINT nScrollCode, UINT nPos, BOOL bDoScroll = TRUE);
	protected:
	virtual void OnInitialUpdate(); // called first time after construct
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CSmoothView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CSmoothView)
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in SmoothView.cpp
inline CSmoothDoc* CSmoothView::GetDocument()
   { return (CSmoothDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////
